Path

ez components / documentation / api reference / 2007.2beta1 / webdav


eZ Components 2007.2beta1

Webdav: ezcWebdavPutRequest

[ Tutorial ] [ Plugin architecture ] [ Class tree ] [ Element index ] [ ChangeLog ] [ Credits ]

Class: ezcWebdavPutRequest

Struct-like class representing all relevant information about a webdav PUT request. [source]

Parents

ezcWebdavRequest
   |
   --ezcWebdavPutRequest

Inherited Constants

From ezcWebdavRequest:
ezcWebdavRequest::DEPTH_INFINITY
ezcWebdavRequest::DEPTH_ONE
ezcWebdavRequest::DEPTH_ZERO    Constants for the 'Depth' header and property fields.

Properties

string read/write  $body
The request body of a PUT request.

Inherited Member Variables

From ezcWebdavRequest:
protected  ezcWebdavRequest::$headers
protected  ezcWebdavRequest::$properties

Method Summary

public void __construct( $requestUri, $body )
Creates a new PUT request object.
public void validateHeaders( )
Validates the headers set in this request.

Inherited Methods

From ezcWebdavRequest :
public void ezcWebdavRequest::__construct()
Construct request class with requested URI
public mixed ezcWebdavRequest::getHeader()
Returns the contents of a specific header.
public void ezcWebdavRequest::setHeader()
Sets a header to a specified value.
public void ezcWebdavRequest::setHeaders()
Sets a header to a specified value.
public void ezcWebdavRequest::validateHeaders()
Validates the headers set in this request.

Methods

__construct

void __construct( string $requestUri, string $body )
Creates a new PUT request object.
The request is created from the collection, which should be created and a request body.

Parameters

Name Type Description
$requestUri string  
$body string  

Redefinition of

Method Description
ezcWebdavRequest::__construct() Construct request class with requested URI

validateHeaders

void validateHeaders( )
Validates the headers set in this request.
This method validates that all required headers are available and that all feasible headers for this request have valid values.

Throws

ClassDescription
ezcWebdavMissingHeaderException if a required header is missing.
ezcWebdavInvalidHeaderException if a header is present, but its content does not validate.

Redefinition of

Method Description
ezcWebdavRequest::validateHeaders() Validates the headers set in this request.

Last updated: Wed, 28 Nov 2007